<?xml version="1.0" encoding="UTF-8"?>
<Device name="Unified FB">
<!-- This is comment. -->
    <!-- [Capability] defines general settings -->
    <Capability>
        <Emulation type="2"/>
        <!-- If you want to generate PJL, list in following element(PJL) -->
        <PJL>
            <!-- DUPLEX/ -->
            <MEDIATYPE/>
            <POWERSAVE/>
            <JAMRECOVERY/>
            <!-- REPRINT/ -->
            <ALTITUDE/>
            <!-- RET/ -->
            <DENSITY/>
            <TONERSAVE/>
        </PJL>
        <Render>
            <Dot width="2"/>
        </Render>
    </Capability>
	<ResMapping>
		<mapping dmResolution="600" iResolution="600">
			<set PrintResX="600"/>
			<set PrintResY="600"/>
			<set PrintBitsPerPixel="1"/>
		</mapping>
		<mapping dmResolution="600" iResolution="1200">
			<set PrintResX="1200"/>
			<set PrintResY="600"/>
			<set PrintBitsPerPixel="1"/>
		</mapping>
		<mapping dmResolution="600" iResolution="2400">
			<set PrintResX="1200"/>
			<set PrintResY="1200"/>
			<set PrintBitsPerPixel="1"/>
		</mapping>
	</ResMapping>
    <Colors>
        <LinearTable>
			<priority PrintResX="0" PrintResY="1"/>
            <group>
            <cond>
					<PrintResX>
                    <opt val="600"/>
					</PrintResX>
            </cond>
                <opt class="mono"    id="17"/>
            </group>
        </LinearTable>
    
        <HalftoneTable>
			<priority PrintResX="0" PrintResY="1"/>
            <group>
            <cond>
					<PrintResX>
                    <opt val="600"/>
					</PrintResX>
            </cond>
                <opt class="mono"    id="4"/>
           </group>
        </HalftoneTable>
    </Colors>

    <Definitions>
        <!-- If item is not specified in Keys, it will be ignored. -->
        <!-- id is reserved in source code -->
        <!-- [Keys] maps elements to internal data in frambuffer. If item is not specified in Keys, it will be ignored. id is reserved in source code -->
        <Keys>
            <MEDIATYPE id="0"/>
            <MEDIASOURCE id="1"/>
            <!-- MEDIADEST id="2"/ -->
			<dmPrintQuality id="3"/>
            <RET id="4"/>
            <DUPLEX id="5"/>
            <POWERSAVE id="6"/>
            <JAMRECOVERY id="7"/>
            <REPRINT id="8"/>
            <ALTITUDE id="9"/>
            <DENSITY id="10"/>
            <TONERSAVE id="11"/>
			<TIMEOUT id="12"/>
			<iResolution id="13"/>
			<PrintResX id="14"/>
			<PrintResY id="15"/>
			<PrintBitsPerPixel id="16"/>
        </Keys>
        
        <!-- Followings are definitions of each key. Defines PJL commands of each option. -->
        <!-- note: val must be string form of integer. Default val is first opt -->
		<dmPrintQuality>
			<opt val="600"/>
			<opt val="300"/>
			<opt val="1200"/>
		</dmPrintQuality>
        <RET>
            <opt val="0" name="RET_PRINTERSETTING">
                <cmd></cmd>
            </opt>
            <opt val="1" name="RET_NORMAL">
                <cmd>@PJL SET RET = OFF&#xD;&#xA;</cmd>
            </opt>
            <opt val="2" name="RET_ON">
                <cmd>@PJL SET RET = ON&#xD;&#xA;</cmd>
            </opt>
            <opt val="3" name="RET_GRAY">
                <cmd>@PJL SET RET = GRAY&#xD;&#xA;</cmd>
            </opt>
        </RET>
        <DUPLEX>
            <opt>
                <cmd></cmd>
            </opt>
            <opt val="1" name="AUTODUPLEX_LONGEDGE">
                <cmd>@PJL SET DUPLEX=ON&#xD;&#xA;@PJL SET BINDING=LONGEDGE&#xD;&#xA;</cmd>
            </opt>
            <opt val="2" name="AUTODUPLEX_SHORTEDGE">
                <cmd>@PJL SET DUPLEX=ON&#xD;&#xA;@PJL SET BINDING=SHORTEDGE&#xD;&#xA;</cmd>
            </opt>
            <opt val="3" name="AUTODUPLEX_OFF">
                <cmd>@PJL SET DUPLEX=OFF&#xD;&#xA;</cmd>
            </opt>
            <opt val="4" name="AUTODUPLEX_REVERSE_LONGEDGE">
                <cmd>@PJL SET DUPLEX=ON&#xD;&#xA;@PJL SET BINDING=LONGEDGE&#xD;&#xA;</cmd>
            </opt>
            <opt val="5" name="AUTODUPLEX_REVERSE_SHORTEDGE">
                <cmd>@PJL SET DUPLEX=ON&#xD;&#xA;@PJL SET BINDING=SHORTEDGE&#xD;&#xA;</cmd>
            </opt>
            <opt val="6" name="MANUALDUPLEX_LE">
                <cmd>@PJL SET DUPLEX=MANUAL&#xD;&#xA;@PJL SET BINDING=LONGEDGE&#xD;&#xA;</cmd>
            </opt>
            <opt val="7" name="MANUALDUPLEX_SE">
                <cmd>@PJL SET DUPLEX=MANUAL&#xD;&#xA;@PJL SET BINDING=SHORTEDGE&#xD;&#xA;</cmd>
            </opt>
        </DUPLEX>
        <MEDIATYPE>
            <opt val="0" name="MEDIATYPE_OFF">
                <cmd>@PJL SET PAPERTYPE = OFF&#xD;&#xA;</cmd>
            </opt>
            <opt val="1" name="MEDIATYPE_NORMAL">
                <cmd>@PJL SET PAPERTYPE = NORMAL&#xD;&#xA;</cmd>
            </opt>
            <opt val="2" name="MEDIATYPE_BOND">
                <cmd>@PJL SET PAPERTYPE = BOND&#xD;&#xA;</cmd>
            </opt>
            <opt val="3" name="MEDIATYPE_OHP">
                <cmd>@PJL SET PAPERTYPE = OHP&#xD;&#xA;</cmd>
            </opt>
            <opt val="4" name="MEDIATYPE_CARD">
                <cmd>@PJL SET PAPERTYPE = CARD&#xD;&#xA;</cmd>
            </opt>
            <opt val="5" name="MEDIATYPE_LABEL">
                <cmd>@PJL SET PAPERTYPE = LABEL&#xD;&#xA;</cmd>
            </opt>
            <opt val="6" name="MEDIATYPE_USED">
                <cmd>@PJL SET PAPERTYPE = USED&#xD;&#xA;</cmd>
            </opt>
            <opt val="7" name="MEDIATYPE_COLOR">
                <cmd>@PJL SET PAPERTYPE = COLOR&#xD;&#xA;</cmd>
            </opt>
            <opt val="8" name="MEDIATYPE_ENV">
                <cmd>@PJL SET PAPERTYPE = ENV&#xD;&#xA;</cmd>
            </opt>
            <opt val="9" name="MEDIATYPE_RECYCLED">
                <cmd>@PJL SET PAPERTYPE = RECYCLED&#xD;&#xA;</cmd>
            </opt>
            <opt val="11" name="MEDIATYPE_THIN">
                <cmd>@PJL SET PAPERTYPE = THIN&#xD;&#xA;</cmd>
            </opt>
            <opt val="10" name="MEDIATYPE_THICK">
                <cmd>@PJL SET PAPERTYPE = THICK&#xD;&#xA;</cmd>
            </opt>
            <opt val="14" name="MEDIATYPE_COTTON">
                <cmd>@PJL SET PAPERTYPE = COTTON&#xD;&#xA;</cmd>
            </opt>
        </MEDIATYPE>
        <MEDIASOURCE>
            <opt val="0" name="MEDIASOURCE_0"/>
            <opt val="1" name="MEDIASOURCE_1"/>
        </MEDIASOURCE>
        <MEDIADEST>
            <opt val="0" name="MEDIADEST_0"/>
            <opt val="1" name="MEDIADEST_1"/>
        </MEDIADEST>
        <!-- Power Save can use "DEFAULT" or "SET". If RCP is used, use "SET". -->
        <POWERSAVE>
            <opt>
                <cmd>@PJL DEFAULT POWERSAVE = ON&#xD;&#xA;@PJL DEFAULT POWERSAVETIME = %d&#xD;&#xA;</cmd>
            </opt>
            <opt val="0">
                <cmd>@PJL DEFAULT POWERSAVE = OFF&#xD;&#xA;</cmd>
            </opt>
        </POWERSAVE>
        <JAMRECOVERY>
            <opt val="0">
                <cmd>@PJL SET JAMRECOVERY = OFF&#xD;&#xA;</cmd>
            </opt>
            <opt val="1">
                <cmd>@PJL SET JAMRECOVERY = ON&#xD;&#xA;</cmd>
            </opt>
        </JAMRECOVERY>
        <REPRINT>
            <opt val="0" name="REPRINT_OFF">
                <cmd>@PJL SET REPRINT = OFF&#xD;&#xA;</cmd>
            </opt>
            <opt val="1" name="REPRINT_ON">
                <cmd>@PJL SET REPRINT = ON&#xD;&#xA;</cmd>
            </opt>
        </REPRINT>
        <ALTITUDE>
            <opt val="0" name="ALTITUDE_LOW">
                <cmd>@PJL SET ALTITUDE = LOW&#xD;&#xA;</cmd>
            </opt>
            <opt val="1" name="ALTITUDE_HIGH">
                <cmd>@PJL SET ALTITUDE = HIGH&#xD;&#xA;</cmd>
            </opt>
        </ALTITUDE>
        <DENSITY>
            <opt val="0" name="DENSITY_NORMAL">
                <cmd>@PJL SET DENSITY = 3&#xD;&#xA;</cmd>
            </opt>
            <opt val="1" name="DENSITY_LIGHT">
                <cmd>@PJL SET DENSITY = 1&#xD;&#xA;</cmd>
            </opt>
            <opt val="2" name="DENSITY_DARK">
                <cmd>@PJL SET DENSITY = 5&#xD;&#xA;</cmd>
            </opt>
        </DENSITY>
        <TONERSAVE>
            <opt val="1" name="TONERSAVE_OFF">
                <cmd>@PJL SET ECONOMODE = OFF&#xD;&#xA;</cmd>
            </opt>
            <opt val="2" name="TONERSAVE_ON">
                <cmd>@PJL SET ECONOMODE = ON&#xD;&#xA;</cmd>
            </opt>
            <opt val="0" name="TONERSAVE_PRINTDEFAULT">
                <cmd></cmd>
            </opt>
        </TONERSAVE>
        <JOBRETENTION>
            <opt val="0" name="JOBRETENTION_NORMAL">
                <cmd></cmd>
            </opt>
            <opt val="1" name="JOBRETENTION_PRINT&amp;STORE">
                <cmd>@PJL SET HOLD=ON&#xD;&#xA;@PJL SET HOLDTYPE=PUBLIC&#xD;&#xA;</cmd>
            </opt>
            <opt val="2" name="JOBRETENTION_PROOF">
                <cmd>@PJL SET HOLD=PROOF&#xD;&#xA;</cmd>
            </opt>
            <opt val="3" name="JOBRETENTION_PROOF&amp;STORE">
                <cmd>@PJL SET HOLD=PROOF&amp;STORE&#xD;&#xA;</cmd>
            </opt>
            <opt val="4" name="JOBRETENTION_PRIVATE">
                <cmd>@PJL SET HOLD=ON&#xD;&#xA;@PJL SET HOLDTYPE=PRIVATE&#xD;&#xA;@PJL SET HOLDKEY="%s"&#xD;&#xA;</cmd>
            </opt>
            <opt val="5" name="JOBRETENTION_PRIVATE&amp;STORE">
                <cmd>@PJL SET HOLD=STORE&#xD;&#xA;@PJL SET HOLDTYPE=PRIVATE&#xD;&#xA;@PJL SET HOLDKEY="%s"&#xD;&#xA;</cmd>
            </opt>
            <opt val="6" name="JOBRETENTION_STORE">
                <cmd>@PJL SET HOLD=PRIVATE&amp;STORE&#xD;&#xA;@PJL SET HOLDTYPE=PRIVATE&#xD;&#xA;@PJL SET HOLDKEY="%s"&#xD;&#xA;</cmd>
            </opt>
            <opt val="7" name="JOBRETENTION_STOREINPUBLIC">
                <cmd>@PJL SET HOLD=STORE&#xD;&#xA;</cmd>
            </opt>
            <opt val="8" name="JOBRETENTION_DELAYPRINT">
                <cmd>@PJL SET HOLD=STORE&#xD;&#xA;@PJL SET PRINTTIME="%s"&#xD;&#xA;</cmd>
            </opt>
            <opt val="9" name="JOBRETENTION_SPOOLPRINT">
                <cmd>@PJL SET HOLD=STORE&#xD;&#xA;@PJL SET PRINTTIME="24:00"&#xD;&#xA;</cmd>
            </opt>
        </JOBRETENTION>
    </Definitions>
</Device>
